<mat-sidenav-container>
  <mat-sidenav mode="side" opened>
    <div *ngFor="let color of colors">
      <button (click)="currentColor = color" mat-fab [style.background-color]="color"></button>
      <br>
    </div>
    <div class="delete-btn-wrapper">
      <button (click)="clearCanvas()" mat-fab color="black" aria-label="button with a delete icon">
        <mat-icon>delete</mat-icon>
      </button>
    </div>
  </mat-sidenav>


  <mat-sidenav-content>
    <h1 class="dawing-description"> {{ previousData }} </h1>
    <div [@canvasEnter]>
      <mat-toolbar>
        <div>It's time to draw!</div>
      </mat-toolbar>
      <canvas #canvas></canvas>
    </div>
  </mat-sidenav-content>

</mat-sidenav-container>


